{% extends 'base.html' %}
{% load log_utils %}
{% load logger_utils %}
{% load crm_pagination %}
{% block content %}
<div class="container-fluid">
<ul class="nav nav-tabs">
    <li class="nav-item">
        <a class="nav-link active" href="{% url 'log_index_view' %}" >Логи</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="{% url 'log_sale_abon_view' %}">Продажа абонементов</a>
    </li>
</ul>
<div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Раздел</th>
                      <th>Дата изменения</th>
                      <th>Клиент</th>
                      <th>Пользователь</th>
                      <th>Действие</th>
                      <th>Измененные поля</th>
                      <th>Старые значения полей</th>
                      <th>Новые значения полей</th>
                    </tr>
                  </thead>
                  <tbody>
                  {% for history in object_list %}
                      <tr>
                        <td>{{ history.instance.get_rus_name }}</td>
                        <td>{{ history.history_date }}</td>
                        <td>{{ history.history_object }}</td>
                        <td>{{ history.history_user|user_prettyfy }}</td>
                        <td>
                            {% if history.history_type == '+' %}
                                Создание
                            {% elif history.history_type == '~' %}
                                Обновление
                            {% elif history.history_type == '-' %}
                                Удаление
                            {% endif %}
                        </td>
                        <td>{{ history|changes|human_readable|htmlify_fields }}</td>
                        <td>{{ history|old_values|hr_values }}</td>
                        <td>{{ history|new_values|hr_values}}</td>
                      </tr>
                      {% empty %}
                      {% include 'no_data.html' %}
                  {% endfor %}
                  </tbody>
                </table>
              {% paginator %}

</div>
{% endblock %}